PHPExcel_Style_Border

category | PHPExcel
package | PHPExcel_Style
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

Inherited

inherited_from | \PHPExcel_Style_Supervisor::__clone()

## Create a new PHPExcel_Style_Border

    __construct(boolean $isSupervisor, boolean $isConditional)

### Parameters

#### $isSupervisor

`boolean`

Flag indicating if this is a supervisor or not Leave this value at default unless you understand exactly what its ramifications are

#### $isConditional

`boolean`

Flag indicating if this is a conditional style or not Leave this value at default unless you understand exactly what its ramifications are

## Apply styles from array

    applyFromArray(array $pStyles) : \PHPExcel_Style_Border

    $objPHPExcel->getActiveSheet()->getStyle('B2')->getBorders()->getTop()->applyFromArray(
        array(
            'style' => PHPExcel_Style_Border::BORDER_DASHDOT,
            'color' => array(
                'rgb' => '808080'
            )
        )
    );

### Parameters

#### $pStyles

`array`

Array containing style information

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Style_Border`

## Bind parent.

    bindParent(\PHPExcel_Style_Borders $parent, string $parentPropertyName) : \PHPExcel_Style_Border

Only used for supervisor

### Parameters

#### $parent

`\PHPExcel_Style_Borders`

#### $parentPropertyName

`string`

### Returns

`\PHPExcel_Style_Border`

## Get the currently active cell coordinate in currently active sheet.

    getActiveCell() : string

Inherited

Only used for supervisor

inherited_from | \PHPExcel_Style_Supervisor::getActiveCell()

### Returns

`string`E.g. 'A1'

## Get the currently active sheet.

    getActiveSheet() : \PHPExcel_Worksheet

Inherited

Only used for supervisor

inherited_from | \PHPExcel_Style_Supervisor::getActiveSheet()

### Returns

`\PHPExcel_Worksheet`

## Get Border style

    getBorderStyle() : string

### Returns

`string`

## Get Border Color

    getColor() : \PHPExcel_Style_Color

### Returns

`\PHPExcel_Style_Color`

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Is this a supervisor or a cell style component?

    getIsSupervisor() : boolean

Inherited

inherited_from | \PHPExcel_Style_Supervisor::getIsSupervisor()

### Returns

`boolean`

## Get the currently active cell coordinate in currently active sheet.

    getSelectedCells() : string

Inherited

Only used for supervisor

inherited_from | \PHPExcel_Style_Supervisor::getSelectedCells()

### Returns

`string`E.g. 'A1'

## Get the shared style component for the currently active cell in currently active sheet.

    getSharedComponent() : \PHPExcel_Style_Border

Only used for style supervisor

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Style_Border`

## Build style array from subcomponents

    getStyleArray(array $array) : array

### Parameters

#### $array

`array`

### Returns

`array`

## Set Border style

    setBorderStyle(string | boolean $pValue) : \PHPExcel_Style_Border

### Parameters

#### $pValue

`string` `boolean`

When passing a boolean, FALSE equates PHPExcel_Style_Border::BORDER_NONE and TRUE to PHPExcel_Style_Border::BORDER_MEDIUM

### Returns

`\PHPExcel_Style_Border`

## Set Border Color

    setColor(\PHPExcel_Style_Color $pValue) : \PHPExcel_Style_Border

### Parameters

#### $pValue

`\PHPExcel_Style_Color`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Style_Border`

### Properties

##

    $_borderStyle : string

##

    $_color : \PHPExcel_Style_Color

##

    $_isSupervisor : boolean

Inherited

inherited_from | \PHPExcel_Style_Supervisor::$$_isSupervisor

##

    $_parent : \PHPExcel_Style

Inherited

Only used for supervisor

inherited_from | \PHPExcel_Style_Supervisor::$$_parent

##

    $_parentPropertyName : string

### Constants

## BORDER_DASHDOT

    BORDER_DASHDOT

## BORDER_DASHDOTDOT

    BORDER_DASHDOTDOT

## BORDER_DASHED

    BORDER_DASHED

## BORDER_DOTTED

    BORDER_DOTTED

## BORDER_DOUBLE

    BORDER_DOUBLE

## BORDER_HAIR

    BORDER_HAIR

## BORDER_MEDIUM

    BORDER_MEDIUM

## BORDER_MEDIUMDASHDOT

    BORDER_MEDIUMDASHDOT

## BORDER_MEDIUMDASHDOTDOT

    BORDER_MEDIUMDASHDOTDOT

## BORDER_MEDIUMDASHED

    BORDER_MEDIUMDASHED

## BORDER_NONE

    BORDER_NONE

## BORDER_SLANTDASHDOT

    BORDER_SLANTDASHDOT

## BORDER_THICK

    BORDER_THICK

## BORDER_THIN

    BORDER_THIN